Delete Campaign Blocked Leads
curl --request DELETE \
--url https://app-api.walead.ai/api/v1/campaigns/{campaignId}/blocked-leads \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"publicIdentifiers": [
"<string>"
]
}
'import requests
url = "https://app-api.walead.ai/api/v1/campaigns/{campaignId}/blocked-leads"
payload = { "publicIdentifiers": ["<string>"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({publicIdentifiers: ['<string>']})
};
fetch('https://app-api.walead.ai/api/v1/campaigns/{campaignId}/blocked-leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"unblocked": 123
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}{
"statusCode": 123,
"message": "<string>"
}Leads
Delete Campaign Blocked Leads
Removes leads from the blocked list of a specific campaign, allowing them to receive campaign messages again. This endpoint unblocks previously blocked LinkedIn profiles.
DELETE
/
v1
/
campaigns
/
{campaignId}
/
blocked-leads
Delete Campaign Blocked Leads
Overview
Removes leads from the blocked list of a specific campaign, allowing them to receive campaign messages again. This endpoint unblocks previously blocked LinkedIn profiles.License Requirement: This endpoint requires a Pro or Agency license to use.
Use Cases
- Unblock Contacts: Remove leads from the blocked list to allow outreach
- Correct Mistakes: Restore leads that were blocked by error
- Update Targeting: Re-enable contact with leads that now match your criteria
Authentication
All requests require an API key passed in thex-api-key header. You can generate your API key from the WaLead dashboard.
Example Request
curl -X DELETE https://app-api.walead.ai/api/v1/campaigns/CAMPAIGN_ID/blocked-leads \
-H "x-api-key: YOUR_API_KEY_HERE" \
-H "Content-Type: application/json" \
-d '{
"publicIdentifiers": [
"john-doe",
"jane-smith"
]
}'
Request Details
This endpoint requires an API key for authentication and accepts an array of LinkedIn public identifiers to unblock.Request Body
The body should contain:- publicIdentifiers (required): Array of LinkedIn public identifiers to unblock
Public Identifiers
ThepublicIdentifiers field should contain LinkedIn profile identifiers (the username part of a LinkedIn URL). For example, from linkedin.com/in/john-doe, the public identifier would be john-doe.
Important Notes
- License Required: Pro or Agency license is required to use this endpoint
- The
publicIdentifiersarray is required and must not be empty - You can unblock multiple leads in a single request
- Unblocked leads will be able to receive campaign messages again
- This only affects the specific campaign’s blocked list
- This is a public route that requires API key authentication
Authorizations
API key for authentication. Generate from your WaLead dashboard.
Path Parameters
Campaign ID
Body
application/json
Public identifiers of leads to unblock
Array of LinkedIn public identifiers to block (e.g., 'john-doe' from linkedin.com/in/john-doe)